## signond 8.59

=== debian/changelog ===
signond (8.59-2) unstable; urgency=medium

  * Team upload.
  * Update symbols file from logs of buildds. (Closes: #865797)
  * Do not set DPKG_GENSYMBOLS_CHECK_LEVEL=4 in rules, as it is way too strict.
  * Bump Standards-Version to 4.1.4, no changes required.
  * Update lintian overrides.
  * Remove trailing whitespaces in changelog.
  * Use https for Format in copyright.
  * Do not install README.md, and TODO as documentation in libsignon-qt5-dev:
    the former is not useful in that package, and the latter is empty.
  * Remove unused libssl-dev, and qtchooser build dependencies.
  * Link in as-needed mode.

 -- Pino Toscano <pino@debian.org>  Mon, 07 May 2018 06:25:18 +0200

signond (8.59-1) unstable; urgency=medium

  [ Diane Trout ]
  * Update watch file for newest tags.
    This is going to be fragile, there are too many
    pages of tags, hopefully they'll be consistent now.
  * Update Standards-Version to 3.9.8.0. No changes needed.
  * Update debian/docs for renamed README.md
  * New upstream release.
  * Upstream no longer supports Qt4, so stop building Qt4 packages.
  * Unit Tests don't work, disable running them for the moment.
  * update symbols file
  * Remove qt4 library symbols file.

  [ Scott Kitterman ]
  * Fix FTBFS when building just architecture independent packages by making
    the  dh_auto_install override apply only to archicture dependent packages
    (Closes: #806107)

  [ Maximiliano Curia ]
  * Add new patch: drop_qt_tags_tagfiles.diff

 -- Scott Kitterman <scott@kitterman.com>  Fri, 24 Jun 2016 08:20:35 -0400

signond (8.57+20150423-3) unstable; urgency=medium

  * Symbols updates for several architectures.

 -- Diane Trout <diane@debian.org>  Fri, 16 Oct 2015 23:58:52 -0700

signond (8.57+20150423-2) unstable; urgency=medium

  * Team upload.
  * Fix FTBFS on arch dependent package builds by limiting dh_doxygen to arch
    all packages

 -- Scott Kitterman <scott@kitterman.com>  Thu, 15 Oct 2015 08:02:40 -0400

signond (8.57+20150423-1) unstable; urgency=medium

  [ Maximiliano Curia ]
  * Prepare Debian release. (8.57+20150423)
  * Update copyright information.

  [ Diane Trout ]
  * Add Built-Using tag for doxygen generated jquery.js
  * Override lintian warnings about Doxygen generated jquery.js
  * Remove source files generated by qdbusxml2cpp
    (src/signond/backupifactor.*)
  * Add myself to uploaders.
  * Add symbols files for libsignon-extension1, libsignon-plugins-common1,
    libsignon-qt1 and libsignon-qt5-1
  * Add doc-base registration for signond-doc, libsignon-qt-doc, and
    libsignon-plugins-doc,
  * use dh_doxygen to cleanup documentation packages.
  * Use debian-qt-kde.mk from pkg-kde-tools to provide -Wl,--as-needed
  * Remove ${shlib:Depends} from -dev packages as it's never defined.

 -- Diane Trout <diane@debian.org>  Wed, 09 Sep 2015 14:53:33 -0700

signon (8.57+15.04.20150204.1-0ubuntu1) vivid; urgency=medium

  [ Alberto Mardegan ]
  * Enable P2P D-Bus connections (LP: #1415492)
  * Add missing build dependency on libdbus-1-dev

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 04 Feb 2015 10:39:42 +0000

signon (8.57+15.04.20141127.1-0ubuntu1) vivid; urgency=low

  [ Ubuntu daily release ]
  * New rebuild forced

  [ Alberto Mardegan ]
  * Merge from upstream

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 27 Nov 2014 10:53:16 +0000

signon (8.57+14.10.20141006-0ubuntu1) utopic; urgency=low

  [ Alberto Mardegan ]
  * Sync from upstream

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 06 Oct 2014 07:57:09 +0000

signon (8.57+14.10.20140912-0ubuntu1) utopic; urgency=low

  [ Alberto Mardegan ]
  * Fix signon-plugins-dev dependencies

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 12 Sep 2014 07:33:49 +0000

signon (8.57+14.10.20140827-0ubuntu1) utopic; urgency=medium

  [ Alberto Mardegan ]
  * New upstream release
    - Build: add CMake config files for Qt5
    - Tests: make database test more robust
    - signond: notify clients of credentials updates
    - signond: fix passing of DBus maps to plugins
    - lib: don't emit a critical warning on p2p socket failure
    - lib/plugins: do not build a static library

  [ Ubuntu daily release ]
  * New rebuild forced

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 27 Aug 2014 15:34:55 +0000

signon (8.56+14.04.20140307-0ubuntu3) utopic; urgency=medium

  * Changes to enable reverse-deps to be cross-built, since cross-pkg-config
    no longer looks in /usr/lib/pkgconfig for pcfiles. (LP: #1316667)
  * Install into Multi-Arch directories and set M-A: Same on library packages.

 -- Iain Lane <iain.lane@canonical.com>  Thu, 08 May 2014 10:58:12 +0100

signon (8.56+14.04.20140307-0ubuntu2) trusty; urgency=medium

  * In debian/rules move qt4 cmake files to not clash with qt5 cmake files

 -- Jonathan Riddell <jriddell@ubuntu.com>  Sun, 16 Mar 2014 19:35:02 +0000

signon (8.56+14.04.20140307-0ubuntu1) trusty; urgency=medium

  [ Alberto Mardegan ]
  * New upstream release
    - Make it easier to use with CMake by adding a Config*.cmake files
      This allow applications using cmake to do:
      find_package(SignOnQt 8.55 REQUIRED)
    - signond: don't attempt demarshalling an invalid QVariant
  * Fix tests for Qt 5.2 Merge from upstream. (LP: #1156776, #1258578,
    #1267805, #1237782)

  [ CI bot ]
  * No change rebuild against Qt 5.2.1.

  [ Timo Jyrinki ]
  * Drop quilt usage as recommended for daily release packages.

  [ Ubuntu daily release ]
  * New rebuild forced

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 07 Mar 2014 10:35:52 +0000

signon (8.55+14.04.20131212-0ubuntu1) trusty; urgency=low

  [ Alberto Mardegan ]
  * Do not use qDeleteAll() on the QObject's children. (LP: #1156776,
    #1258578, #1237782)

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 609

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 12 Dec 2013 21:41:01 +0000


