=== debian/control ===
Source: signond
Section: utils
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>, Diane Trout <diane@debian.org>
Build-Depends: dbus-x11,
               debhelper (>= 9),
               doxygen,
               graphviz,
               libdbus-1-dev,
               libproxy-dev,
               libqt5sql5-sqlite,
               pkg-config,
               pkg-kde-tools (>= 0.14),
               qt5-qmake,
               qtbase5-dev,
               qttools5-dev-tools,
               xauth,
               xvfb
Standards-Version: 4.1.4
Homepage: https://gitlab.com/accounts-sso/signond
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/kde-extras/signond.git
Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-extras/signond.git

Package: libsignon-qt5-dev
Section: libdevel
Architecture: any
Depends: libsignon-qt5-1 (= ${binary:Version}), qtbase5-dev, ${misc:Depends}
Description: Single Sign On framework - qt5 development files
 Accounts and SSO (Single Sign-On) framework for Linux and POSIX based
 platforms.
 .
 Headers and static libraries for the libsignon-qt5 library.

Package: libsignon-qt5-1
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Single Sign On framework - qt5 shared libraries
 Accounts and SSO (Single Sign-On) framework for Linux and POSIX based
 platforms.
 .
 This package contains Qt5 shared libraries to be used by applications.

Package: libsignon-qt-doc
Section: doc
Architecture: all
Built-Using: doxygen (= ${signond:DoxygenVersion})
Depends: ${misc:Depends}
Description: Single Sign On framework - documentation for Qt API
 Accounts and SSO (Single Sign-On) framework for Linux and POSIX based
 platforms.
 .
 This package contains the documentation for libsignon-qt.

Package: libsignon-plugins-common1
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Single Sign On framework - plugins common shared library
 Accounts and SSO (Single Sign-On) framework for Linux and POSIX based
 platforms.
 .
 This package contains plugin shared libraries to be used by applications.

Package: libsignon-extension1
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Single Sign On framework - extension shared library
 Accounts and SSO (Single Sign-On) framework for Linux and POSIX based
 platforms.
 .
 This package contains extension shared libraries to be used by applications.

Package: signond
Architecture: any
Depends: libqt5sql5-sqlite, ${misc:Depends}, ${shlibs:Depends}
Breaks: signon-plugins, signon-saslplugin (<< 8.40)
Replaces: signon-plugins, signon-saslplugin (<< 8.40)
Recommends: signon-ui
Description: Single Sign On framework
 Accounts and SSO (Single Sign-On) framework for Linux and POSIX based
 platforms.
 .
 Framework to provide credential storage and authentication service.

Package: signond-dev
Section: libdevel
Architecture: any
Depends: qtbase5-dev, signond (= ${binary:Version}), ${misc:Depends}
Breaks: signon-saslplugin-dev (<< 8.40)
Replaces: signon-saslplugin-dev (<< 8.40)
Description: Single Sign On framework - development files
 Accounts and SSO (Single Sign-On) framework for Linux and POSIX based
 platforms.
 .
 Common headers and DBUS interfaces definition files for the Signon Framework.

Package: signond-doc
Section: doc
Architecture: all
Built-Using: doxygen (= ${signond:DoxygenVersion})
Depends: ${misc:Depends}
Description: Single Sign On framework - documentation for daemon
 Accounts and SSO (Single Sign-On) framework for Linux and POSIX based
 platforms.
 .
 This package contains the documentation for signond-dev.

Package: signon-plugins-dev
Section: libdevel
Architecture: any
Depends: libsignon-plugins-common1 (= ${binary:Version}),
         libsignon-qt5-dev,
         ${misc:Depends}
Description: Single Sign On framework - plugins development files
 Accounts and SSO (Single Sign-On) framework for Linux and POSIX based
 platforms.
 .
 Headers and static libraries for Single Sign On plugin development.

Package: libsignon-plugins-doc
Section: doc
Architecture: all
Built-Using: doxygen (= ${signond:DoxygenVersion})
Depends: ${misc:Depends}
Description: Single Sign On framework - plugins documentation
 Accounts and SSO (Single Sign-On) framework for Linux and POSIX based
 platforms.
 .
 This package contains the documentation for libsignon-plugins-dev.

Package: signon-plugin-password
Section: libs
Architecture: any
Depends: signond, ${misc:Depends}, ${shlibs:Depends}
Replaces: signon-passwordplugin
Conflicts: signon-passwordplugin
Description: Single Sign On framework - Plain Password plugin
 Accounts and SSO (Single Sign-On) framework for Linux and POSIX based
 platforms.
 .
 Password plugin for Single Sign On.

Package: signon-plugin-ssotest
Section: libs
Architecture: any
Depends: signond, ${misc:Depends}, ${shlibs:Depends}
Description: Single Sign On framework - Test plugin
 Accounts and SSO (Single Sign-On) framework for Linux and POSIX based
 platforms.
 .
 Test plugin for Single Sign On.
