=== debian/watch ===
version=3
opts=filenamemangle=s/.*=VERSION_(.*)/signond-$1\.tar\.gz/ \
 https://gitlab.com/accounts-sso/signond/tags?page=14 \
  .*/archive\.tar\.gz\?ref=VERSION_([\d.]+)
