## signond 8.60

=== debian/changelog ===
signond (8.60-4) UNRELEASED; urgency=medium

  * update

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Mon, 06 Jun 2022 19:26:24 +0800

signond (8.60-4) unstable; urgency=medium

  * Team upload.
  * signon-plugins-dev: bump to 8.60~ the version of the signond-dev
    breaks/replaces. (Closes: #974049)

 -- Pino Toscano <pino@debian.org>  Mon, 09 Nov 2020 17:42:11 +0100

signond (8.60-3) unstable; urgency=medium

  * Team upload.
  * Use pkgkde-symbolshelper to ease symbols files handling:
    - use the pkgkde_symbolshelper dh addon
    - drop specific symbols files for armel, and armhf
    - update symbols files
  * Remove the wrong Multi-Arch: same fields from signon-plugin-password,
    signon-plugin-ssotest, and signond-dev, as they depend on signond which
    cannot be Multi-Arch: same.
  * Remove non-existing files from debian/not-installed.
  * Set upstream metadata fields: Bug-Submit.
  * Stop passing --fail-missing to dh_missing, as it is the default in
    debhelper compatibility 13+.
  * Use the proper variable for the multiarch library directory, i.e.
    $(DEB_HOST_MULTIARCH) instead of $(DEB_HOST_GNU_TYPE); fixes the library
    installation on any-i386 architectures.
  * Remove unused install files.

 -- Pino Toscano <pino@debian.org>  Sat, 07 Nov 2020 13:12:43 +0100

signond (8.60-2) unstable; urgency=medium

  * Team upload.

  [ Aurélien COUDERC ]
  * Add specific symbols files for armel and armhf.

  [ Debian Janitor ]
  * Apply multi-arch hints.
    + libsignon-plugins-doc, libsignon-qt-doc, signond-doc: Add Multi-Arch:
      foreign.
    + libsignon-qt5-dev, signon-plugin-password, signon-plugin-ssotest,
      signon-plugins-dev, signond-dev: Add Multi-Arch: same.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 06 Nov 2020 22:57:50 +0100

signond (8.60-1) unstable; urgency=medium

  * Team upload.

  [ Scarlett Moore ]
  * Update VCS entries. (Closes: #920884)
  * Update watch file with correct url.
  * New upstream release (8.60). (Closes: #911611)
  * Add salsa ci config file.
  * Remove unnecessary --parallel from rules.
    - Parallel is default since debhelper 10, removed flag.
    - Move dh call to before overrides.
  * Add dh_missing
    - Add override with fail-missing flag, libraries tend to change names.
  * Remove obsolete --fail-missing from dh_install.
  * Refresh install files.
    - Update signond-dev with removed files.
    - wrap-and-sort -bt.
  * Switch to debhelper-compat.
    - Switch dependency to debhelper-compat 13.
    - Remove debian/compat.
  * Add myself to uploaders.
  * Refresh copyright file.
    - Refresh dates.
    - Remove COPYING license entry.
    - Remove unused entry for lgpl-2.1+.
    - Add myself to debian/* copyright.
  * Move signon-plugins-common SO symlink to the correct package.
    - Move from signon-dev to signon-plugins-dev.
    - Update install files.
    - Add breaks/Replace for move.
    - wrap-and-sort.
  * Refresh symbols files.
    - Update symbols with pkgkde-symbolshelper:
      libsignon-extension1,
      libsignon-plugins-common: Removed optional MISSING,
      libsignon-qt5-1.
    - Add Build-Depends-Package with the corresponding -dev package.
  * Add hardening+=bindnow to rules to resolve lintian error.
  * Enable tests again.
  * Use DEB_HOST_GNU_TYPE to properly refer to the build directory, instead of
    DEB_HOST_MULTIARCH
    - use /usr/share/dpkg/architecture.mk to get it
  * Bump standards version to 4.5.0; no changes.
  * Remove maxy from uploaders as requested in IRC.
  * Update Maintainer to debian kde team.
  * Add Rules-Requires-Root field to d/control.
  * Attempt to fix build path ( reproducible ) by turning off
    debug output.
  * Remove no longer needed LDFLAGS export --as-needed as it is
    now default.
  * Switch to +=all hardening options.
  * Add upstream/metadata with basic info.

  [ Aurélien COUDERC ]
  * Replace dbus-launch with dbus-test-runner / dbus-run-session.
    (Closes: #836299)
  * Cherry pick upstream patches fixing test failures with Qt 5.15.
  * Refresh symbols files.
  * Add lintian overrides for signond and signonpluginprocess not having
    manpages, they don’t have command line arguments.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 06 Nov 2020 14:18:12 +0100
