## signond 8.61

=== debian/changelog ===
signond (8.61-1ubuntu5) noble; urgency=high

  * No change rebuild against libqt5core5t64, libqt5dbus5t64,
    libqt5gui5t64, libqt5network5t64, libqt5sql5t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 16:50:08 +0200

signond (8.61-1ubuntu4) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 08:22:43 +0000

signond (8.61-1ubuntu3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 07:09:52 +0000

signond (8.61-1ubuntu2) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 07:06:27 +0000

signond (8.61-1ubuntu1) noble; urgency=medium

  * Sync with Debian. (LP: #2046007) Remaining changes:
    - Adjust symbols file (Closes: #1015658, Closes: #1057883).
    - Fix lintian override syntax.

 -- Aaron Rainbolt <arraybolt3@ubuntu.com>  Sun, 10 Dec 2023 02:45:20 +0000

signond (8.61-1) unstable; urgency=medium

  * Team upload.
  * Update standards version to 4.6.0, no changes needed.
  * Update the patches:
    - drop_qt_tags_tagfiles.diff: refresh
    - fix_broken_test_with_qt5.15.diff: drop, backported from upstream
    - remove-unnecessary-qmake-options.diff: drop, backported from upstream
    - dont-use-no-rtti.diff: drop, backported from upstream
  * Update symbols files. (Closes: #997439)
  * Stop specifying a build directory, use the default one.
  * Stop passing a custom QMAKE_CXXFLAGS to qmake, as it is already properly
    set by dh_auto_configure.
  * Limit the dh_gencontrol override to indep packages, as the added substvar
    is in arch:all packages only.
  * Remove the bits from debian/tmp during the dh_auto_install phase, rather
    than the dh_install one.
  * Use the execute_after_* hooks to avoid invoking dh_* manually.
  * Execute dh_doxygen only for indep packages.
  * Stop exporting NO_DOCS in rules, as it is not used anymore.
  * Use dpkg-query to get the version of doxygen, and turn the query as lazy.

 -- Pino Toscano <pino@debian.org>  Fri, 11 Mar 2022 23:02:33 +0100
