=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: signond
 Section: utils
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 Uploaders: Diane Trout <diane@debian.org>,
            Scarlett Moore <sgmoore@kde.org>
 Build-Depends: dbus-test-runner <!nocheck>,
@@ -16,7 +17,7 @@
                qt5-qmake,
                qtbase5-dev,
                qttools5-dev-tools
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Homepage: https://gitlab.com/accounts-sso/signond
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/signond
 Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/signond.git
