=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/archive\/VERSION_@ANY_VERSION@\/signond.*\.tar\.gz/signond-$1\.tar\.gz/g
  https://gitlab.com/accounts-sso/signond/tags?sort=updated_desc .*/archive/VERSION_@ANY_VERSION@/.*.tar.gz
