## signond 8.61+git20231015.c8ad982

=== debian/changelog ===
signond (8.61+git20231015.c8ad982-8) unstable; urgency=medium

  * Team upload.

  [ Helmut Grohne ]
  * Fix FTCBFS: Fix build vs host confusion. (Closes: #1120102)

  [ Aurélien COUDERC ]
  * Bump Standards-Version to 4.7.2, no change required.
  * Refresh copyright information.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 05 Nov 2025 23:42:38 +0100

signond (8.61+git20231015.c8ad982-7) unstable; urgency=medium

  * Re-upload to unstable as is.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 11 Dec 2024 22:33:57 +0100

signond (8.61+git20231015.c8ad982-7~exp1) experimental; urgency=medium

  * Upload to experimental.

  * debian/patches:
    + Add 2001_support-skipping-signond-tests.patch. These tests require
      libqtdbustest and libqtbusmock which haven't been ported to Qt6, yet.
    + Add 2002_enabling-disabling-signond-docs.patch. Support skipping to
      build the signond main docs.
  * debian/:
    + Introduce dual build of signond src:pkg (Qt5/Qt6) for providing
      libsignon-qt5* binary packages. This is required for non-KDE components
      in Debian that still depend on the signond client library being available
      as Qt5 builds.
    + Collect libsigon-qt doc builds for Qt5 and Qt6 and ship them in
      libsignon-qt-doc doc:pkg.
    + Split-up libsignon-qt-doc into Qt-version specific doc:pkgs.
  * debian/control:
    + Add myself to Uploaders: field.

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 07 Dec 2024 14:11:03 +0100

signond (8.61+git20231015.c8ad982-6) unstable; urgency=medium

  * Team upload.

  [ Aurélien COUDERC ]
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 24 Nov 2024 01:04:36 +0100

signond (8.61+git20231015.c8ad982-5) experimental; urgency=medium

  * Team upload.
  * Update symbols from build logs.

 -- Simon Quigley <tsimonq2@debian.org>  Mon, 04 Nov 2024 12:34:21 -0600

signond (8.61+git20231015.c8ad982-4) experimental; urgency=medium

  * Team upload.

  [ Aurélien COUDERC ]
  * Update symbols from buildds for 8.61+git20231015.c8ad982-3, hopefully
    closing #1079528 for real).

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 26 Aug 2024 13:18:26 +0200

signond (8.61+git20231015.c8ad982-3) experimental; urgency=medium

  * Team upload.

  [ Aurélien COUDERC ]
  * Update symbols from buildds for 8.61+git20231015.c8ad982-2. (Closes:
    #1079528)

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 26 Aug 2024 00:20:04 +0200

signond (8.61+git20231015.c8ad982-2) experimental; urgency=medium

  * Team upload.
  * Update symbols files from the logs of buildds, with some manual tweaks.
  * Use the pkgkde_symbolshelper dh addon for substitutions in symbols files.
  * Actually bump Standards-Version to 4.7.0.

 -- Pino Toscano <pino@debian.org>  Mon, 10 Jun 2024 07:14:42 +0200

signond (8.61+git20231015.c8ad982-1) experimental; urgency=medium

  * Team upload.
  * Update watch file due to GitLab changing URL pattern for source code
    package downloads.
  * Import KDE recommended fork of upstream project for the Qt6 port
    (https://gitlab.com/nicolasfella/signond/-/tree/qt6).
  * Update symbols from build for 8.61+git20231015.c8ad982.
  * Build against Qt6.
  * Replace pkg-config with pkgconf.
  * Refresh lintian overrides.
  * Remove Built-Using for Arch:all packages.
  * Bump Standards-Version to 4.7.0, no change required.
  * Work around the build system not finding Qt6’s qhelpgenerator.
  * Drop 8.44 migration script.
  * Drop older Breaks/Replaces.
  * Drop unused packaging files not-installed and signon-crashdb.conf.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 04 May 2024 19:35:14 +0200
