=== debian/control ===
Source: signond
Section: utils
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Diane Trout <diane@debian.org>,
           Scarlett Moore <sgmoore@kde.org>,
           Mike Gabriel <sunweaver@debian.org>,
Build-Depends: dbus-test-runner <!nocheck>,
               debhelper-compat (= 13),
               doxygen,
               graphviz,
               libdbus-1-dev,
               libproxy-dev,
               libqt5sql5-sqlite <!nocheck>,
               libqt6sql6-sqlite <!nocheck>,
               libqtdbusmock1-dev <!nocheck>,
               libqtdbustest1-dev <!nocheck>,
               pkg-kde-tools (>= 0.14),
               pkgconf,
               qmake6,
               qt6-base-dev,
               qtbase5-dev,
Build-Depends-Indep: qt6-documentation-tools,
Standards-Version: 4.7.2
Homepage: https://gitlab.com/accounts-sso/signond
Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/signond
Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/signond.git
Rules-Requires-Root: no

Package: libsignon-extension1
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Single Sign On framework - extension shared library
 Accounts and SSO (Single Sign-On) framework for Linux and POSIX based
 platforms.
 .
 This package contains extension shared libraries to be used by applications.

Package: libsignon-plugins-common1
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Single Sign On framework - plugins common shared library
 Accounts and SSO (Single Sign-On) framework for Linux and POSIX based
 platforms.
 .
 This package contains plugin shared libraries to be used by applications.

Package: libsignon-plugins-doc
Section: doc
Architecture: all
Depends: ${misc:Depends},
Multi-Arch: foreign
Description: Single Sign On framework - plugins documentation
 Accounts and SSO (Single Sign-On) framework for Linux and POSIX based
 platforms.
 .
 This package contains the documentation for libsignon-plugins-dev.

Package: libsignon-qt6-doc
Section: doc
Architecture: all
Depends: ${misc:Depends},
Breaks: libsignon-qt-doc (<< 8.61+git20231015.c8ad982-7~),
Replaces: libsignon-qt-doc (<< 8.61+git20231015.c8ad982-7~),
Multi-Arch: foreign
Description: Single Sign On framework - documentation for Qt6 API
 Accounts and SSO (Single Sign-On) framework for Linux and POSIX based
 platforms.
 .
 This package contains the documentation for libsignon-qt6.

Package: libsignon-qt6-1
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Single Sign On framework - Qt6 shared libraries
 Accounts and SSO (Single Sign-On) framework for Linux and POSIX based
 platforms.
 .
 This package contains Qt6 shared libraries to be used by applications.

Package: libsignon-qt6-dev
Section: libdevel
Architecture: any
Depends: libsignon-qt6-1 (= ${binary:Version}), qt6-base-dev, ${misc:Depends},
Multi-Arch: same
Description: Single Sign On framework - Qt6 development files
 Accounts and SSO (Single Sign-On) framework for Linux and POSIX based
 platforms.
 .
 Headers and static libraries for the libsignon-qt6 library.

Package: libsignon-qt5-doc
Section: doc
Architecture: all
Depends: ${misc:Depends},
Multi-Arch: foreign
Description: Single Sign On framework - documentation for Qt5 API
 Accounts and SSO (Single Sign-On) framework for Linux and POSIX based
 platforms.
 .
 This package contains the documentation for libsignon-qt5.

Package: libsignon-qt5-1
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Single Sign On framework - Qt5 shared libraries
 Accounts and SSO (Single Sign-On) framework for Linux and POSIX based
 platforms.
 .
 This package contains Qt5 shared libraries to be used by applications.

Package: libsignon-qt5-dev
Section: libdevel
Architecture: any
Depends: libsignon-qt5-1 (= ${binary:Version}), qtbase5-dev, ${misc:Depends},
Multi-Arch: same
Description: Single Sign On framework - Qt5 development files
 Accounts and SSO (Single Sign-On) framework for Linux and POSIX based
 platforms.
 .
 Headers and static libraries for the libsignon-qt5 library.

Package: signon-plugin-password
Section: libs
Architecture: any
Depends: signond, ${misc:Depends}, ${shlibs:Depends},
Replaces: signon-passwordplugin,
Conflicts: signon-passwordplugin,
Description: Single Sign On framework - Plain Password plugin
 Accounts and SSO (Single Sign-On) framework for Linux and POSIX based
 platforms.
 .
 Password plugin for Single Sign On.

Package: signon-plugin-ssotest
Section: libs
Architecture: any
Depends: signond, ${misc:Depends}, ${shlibs:Depends},
Description: Single Sign On framework - Test plugin
 Accounts and SSO (Single Sign-On) framework for Linux and POSIX based
 platforms.
 .
 Test plugin for Single Sign On.

Package: signon-plugins-dev
Section: libdevel
Architecture: any
Breaks: signond-dev (<< 8.60~),
Replaces: signond-dev (<< 8.60~),
Depends: libsignon-plugins-common1 (= ${binary:Version}),
         libsignon-qt6-dev,
         ${misc:Depends},
Multi-Arch: same
Description: Single Sign On framework - plugins development files
 Accounts and SSO (Single Sign-On) framework for Linux and POSIX based
 platforms.
 .
 Headers and static libraries for Single Sign On plugin development.

Package: signond
Architecture: any
Depends: libqt6sql6-sqlite, ${misc:Depends}, ${shlibs:Depends},
Recommends: signon-ui,
Description: Single Sign On framework
 Accounts and SSO (Single Sign-On) framework for Linux and POSIX based
 platforms.
 .
 Framework to provide credential storage and authentication service.

Package: signond-dev
Section: libdevel
Architecture: any
Depends: qt6-base-dev, signond (= ${binary:Version}), ${misc:Depends},
Description: Single Sign On framework - development files
 Accounts and SSO (Single Sign-On) framework for Linux and POSIX based
 platforms.
 .
 Common headers and DBUS interfaces definition files for the Signon Framework.

Package: signond-doc
Section: doc
Architecture: all
Depends: ${misc:Depends},
Multi-Arch: foreign
Description: Single Sign On framework - documentation for daemon
 Accounts and SSO (Single Sign-On) framework for Linux and POSIX based
 platforms.
 .
 This package contains the documentation for signond-dev.
