=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

include /usr/share/dpkg/architecture.mk

# Augment path to find qhelpgenerator which is not in /usr/bin anymore with the
# demise of qtchooser
export PATH := $(PATH):/usr/lib/qt6/libexec/

export LC_ALL=C.UTF-8

%:
	dh $@ --with pkgkde_symbolshelper

override_dh_auto_configure:
	dh_auto_configure --builddirectory=build-qt6 --buildsystem=qmake6 -- LIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH) \
	    CONFIG+=enable-p2p \
	    CONFIG+=enable-docs \
	    DEFINES+=QT_NO_DEBUG_OUTPUT \
	    ..
	dh_auto_configure --builddirectory=build-qt5 --buildsystem=qmake -- LIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH) \
	    CONFIG+=enable-p2p \
	    CONFIG+=enable-signond-tests \
	    DEFINES+=QT_NO_DEBUG_OUTPUT \
	    ..

override_dh_auto_build:
	dh_auto_build --builddirectory=build-qt6 --buildsystem=qmake6 ..
	dh_auto_build --builddirectory=build-qt5 --buildsystem=qmake  ..

override_dh_auto_install:
	dh_auto_install --builddirectory=build-qt6 --buildsystem=qmake6 ..
	dh_auto_install --builddirectory=build-qt5 --destdir=debian/tmp-qt5 --buildsystem=qmake  ..

	# Collect Qt5 build results we want to provide in Qt5 legacy packages.
	cp -av debian/tmp-qt5/usr/lib/$(DEB_HOST_MULTIARCH)/*qt5*.so* \
	       debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/
	cp -av debian/tmp-qt5/usr/lib/$(DEB_HOST_MULTIARCH)/cmake/SignOnQt5 \
	       debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/cmake/
	cp -av debian/tmp-qt5/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig/*qt5* \
	       debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig
	cp -av debian/tmp-qt5/usr/include/signon-qt5/ \
	       debian/tmp/usr/include/

        # Ship libsignon-qt5 and libsigon-qt6 docs in libsignon-qt-doc.
	mkdir -p  \
	       debian/tmp/usr/share/doc/libsignon-qt6-dev
	mv     debian/tmp/usr/share/doc/libsignon-qt/* \
	       debian/tmp/usr/share/doc/libsignon-qt6-dev/
	mkdir -p  \
	       debian/tmp/usr/share/doc/libsignon-qt5-dev
	mv     debian/tmp-qt5/usr/share/doc/libsignon-qt/* \
	       debian/tmp/usr/share/doc/libsignon-qt5-dev/
	rmdir  debian/tmp/usr/share/doc/libsignon-qt

override_dh_auto_clean:
	dh_auto_clean --builddirectory=build-qt6 --buildsystem=qmake6 ..
	dh_auto_clean --builddirectory=build-qt5 --buildsystem=qmake  ..

override_dh_clean:
	dh_clean
	-rm -Rf debian/tmp-qt5/

execute_after_dh_auto_install:
	rm -f debian/tmp/usr/include/signon-plugins/*example*.h
	rm -f debian/tmp/usr/include/signon-plugins/*test*.h
	rm -f $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libsignon-qt*.*a
	rm -f $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/signon/libexampleplugin.so

execute_after_dh_install-indep:
	dh_doxygen -i

override_dh_auto_test:
	dbus-run-session -- dh_auto_test --builddirectory=build-qt6 --buildsystem=qmake6  ..
	dbus-run-session -- dh_auto_test --builddirectory=build-qt5 --buildsystem=qmake  ..
